# Get inventory transactions

This method allows a customer to retrieve inventory transactions. Inventory transactions include Sales Orders, Purchase Orders, Transfer In, Transfer Out, Production Lines, Inventory Adjustments and Inventory Status Changes. There are multiple input filters available for use, including filters to retrieve specific types of inventory transactions, to retrieve transactions processed on a particular date, or to retrieve transactions in a specific Wineshipping warehouse.There are also pagination and skip/top query parameters that allow customers to further control the inventory transactions that are returned in the response.

Endpoint: POST /api/Inventory/GetTransactions
Version: 3.1.3

## Request fields (application/json):

  - `Authentication` (object, required)
    Credentials are required for all API operations.

  - `Authentication.UserKey` (string, required)
    Example: C445598CB576468EA35FBB22C55584EF

  - `Authentication.Password` (string, required)
    Example: AF63FDAC1E704DC1AC9460F669ABF107

  - `Authentication.CustomerNo` (string, required)
    Example: 10703

  - `TransactionDate` (string)
    Required unless `TransactionStartDateTime` is specified. Format: MM/DD/YYYY
    Example: 12/31/2025

  - `TransactionStartDateTime` (string)
    Required unless `TransactionDate` is specified.
    Example: 2026-02-10T08:12:39.483Z

  - `TransactionEndDateTime` (string)
    Required when `TransactionStartDateTime` is specified. Note: For timely execution, please ensure that no more than 3 months of data is retrieved at a time.
    Example: 2026-02-10T08:12:39.483Z

  - `TransactionType` (string)
    Required unless `TransactionTypes` is specified instead

  - `TransactionTypes` (array)
    Required unless `TransactionType` is specified instead

  - `Warehouse` (string)
    See [warehouse locations](../../../../docs/codes/warehouselocations) for possible values.
    Enum: "APC01", "APC02", "COB01", "COB02", "ETC01", "MMC01", "PRB02", "PRB04", "SJU01", "TWL01", "VCX01", "WOX01"

  - `Warehouses` (array)
    (COMING SOON)

  - `Reference` (string)
    This field contains [Inventory Transaction Reference Codes](https://developer.wineshipping.com/../../../../docs/v3/ZG9jOjE4NTY4NjU2-codes-and-descriptions#inventory-transaction-reference-codes) that explain why a transaction occurred

  - `InventoryStatus` (string)
    See [inventory codes](../../../../docs/codes/inventorycodes) for possible values. Array of up to 5 items is allowed, and if omitted, all items will be included in the results.
    Enum: "GOOD-NO-TX", "RTGD-NO-TX", "RDMG-NO-TX", "CDMG-NO-TX", "DMGD-NO-TX", "GOOD-NO-BD", "DMGD-ST-BD", "GOOD-ST-IM"

  - `InventoryStatuses` (array)
    (COMING SOON)

  - `ItemNumbers` (array)

  - `Skip` (integer)

  - `Top` (integer)

## Response 200 fields (application/json):

  - `TransactionReferenceNumber` (string)

  - `TotalRecordCount` (integer)

  - `Skip` (integer)

  - `Top` (integer)

  - `MoreRecords` (boolean)

  - `InventoryTransactions` (array)

  - `InventoryTransactions.ItemNo` (string)

  - `InventoryTransactions.ItemDescription` (string)

  - `InventoryTransactions.ItemUnit` (string)

  - `InventoryTransactions.AlcoholPercentage` (string)

  - `InventoryTransactions.Warehouse` (string)

  - `InventoryTransactions.InventoryStatus` (string)

  - `InventoryTransactions.TransactionDate` (string)
    Example: 1/1/2025

  - `InventoryTransactions.TransactionDateTime` (string)
    The date and time of the inventory transaction in ISO 8601 format. At present the time component is not used and will always be set to 00:00:00.000Z, but this may change in the future.
    Example: 2026-01-01T00:00:00.000Z

  - `InventoryTransactions.TransactionType` (string)

  - `InventoryTransactions.Reference` (string)

  - `InventoryTransactions.PONumber` (string)

  - `InventoryTransactions.ShipToName` (string)

  - `InventoryTransactions.OrderType` (string)

  - `InventoryTransactions.Quantity` (integer)

